For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList Assets with Filtering
      • POSTCreate New Asset
      • GETGet Asset by ID
      • POSTBulk Asset Operations
      • POSTBulk Seat Assignments by People Group
      • GETList Asset Tags
      • POSTAdd Asset Tag
      • PUTUpdate Asset Tag
      • DELDelete Asset Tag
      • POSTBind Asset Tags
      • POSTUnbind Asset Tags
      • GETList all Location Definitions
      • POSTAdd Location Definitions
      • PUTUpdate Location Definitions
      • DELDelete Location Definitions
Trebellar Platform
LogoLogo
API ResourcesAssets

List all Location Definitions

||View as Markdown|
GET
https://api.trebellar.app/api/v2/locations
GET
/api/v2/locations
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.assets.listLocations();
8}
9main();
1{
2 "data": [
3 {
4 "id": "string",
5 "name": "string",
6 "type": "region",
7 "parentId": "string",
8 "status": "active"
9 }
10 ]
11}
Was this page helpful?
Previous

Unbind Asset Tags

Next

Add Location Definitions

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful operation
datalist of objects

Errors

500
Internal Server Error